;InnoSetupVersion=4.2.1

[Setup]
AppName=Startup Faster! 2004
AppVerName=Startup Faster! 2004
AppId=Startup Faster! 2004
AppVersion=1.6
AppPublisher=URSoft, Inc.
AppPublisherURL=http://www.pcfaster.com/
AppSupportURL=http://www.pcfaster.com/
AppUpdatesURL=http://www.pcfaster.com/
DefaultDirName={pf}\Startup Faster 2004
DefaultGroupName=Startup Faster 2004
UninstallDisplayIcon={app}\startuploader.exe
OutputBaseFilename=sfsetup
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\startuploader.exe"; DestDir: "{app}"; BeforeInstall: "CloseAgent"; Flags: ignoreversion 
Source: "{app}\StrpFstCfg.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SFAgent.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\config.dat"; DestDir: "{app}"; Flags: comparetimestamp ignoreversion 
Source: "{app}\startupfaster.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\vcl60.bpl"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\rtl60.bpl"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fos.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.rtf"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\URSoft\Startup Faster!"; ValueName: "Path"; ValueType: String; ValueData: "{app}\StrpFstCfg.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Startup Faster Agent"; ValueType: String; ValueData: "{app}\sfagent.exe"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\startuploader.exe"; Parameters: "-setup:sfaurun -setup:sfcurun -setup:sfaustartup -setup:sfcustartup"; StatusMsg: "Analysing startup items..."; 
Filename: "{app}\startuploader.exe"; Parameters: "-install:sfAuRun,sfCuRun,sfAuStartup,sfCuStartup"; StatusMsg: "Preparing StartupLoader..."; 
Filename: "{app}\sfagent.exe"; StatusMsg: "Loading StartupAgent..."; Flags: nowait

[UninstallRun]
Filename: "{app}\fos.exe"; Parameters: """Startup Faster! 2004"" ""{app}\StrpFstCfg.exe"""; RunOnceId: "FeedBack"; 
Filename: "{app}\startuploader.exe"; Parameters: "-closeagent"; RunOnceId: "CloseAgent"; 
Filename: "{app}\startuploader.exe"; Parameters: "-remove:sfaurun -remove:sfcurun -remove:sfaustartup -remove:sfcustartup"; RunOnceId: "Remove"; 
Filename: "{app}\startuploader.exe"; Parameters: "-uninstall"; RunOnceId: "Uninstall"; 

[Icons]
Name: "{group}\Startup Faster! 2004 Control Panel"; Filename: "{app}\StrpFstCfg.exe"; WorkingDir: "{app}"; Comment: "Startup Faster! 2004 - Make your computer startup faster than ever!"; 
Name: "{group}\Startup Faster! 2004 StartupAgent"; Filename: "{app}\sfagent.exe"; WorkingDir: "{app}"; Comment: "Startup Agent - Monitors your system for realtime startup changes."; 
Name: "{group}\Startup Faster! 2004 Help"; Filename: "{app}\startupfaster.chm"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall Startup Faster! 2004"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Startup Faster! 2004 Control Panel"; Filename: "{app}\StrpFstCfg.exe"; WorkingDir: "{app}"; Comment: "Startup Faster! 2004 - Make your computer startup faster than ever!"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Startup Faster! 2004 Control Panel"; Filename: "{app}\StrpFstCfg.exe"; WorkingDir: "{app}"; Comment: "Startup Faster! 2004 - Make your computer startup faster than ever!."; Tasks: quicklaunchicon; 

[Tasks]
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon for Startup Faster! 2004 Control Panel"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
